﻿/**Begin D:\PDM_UPGRADE\PDM1\DCM_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_DCM_COLLMETHOD_L', 'T_DCM_COLLMETHOD_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DCM_CML_FID_L') CREATE INDEX IDX_DCM_CML_FID_L ON T_DCM_COLLMETHOD_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_DCM_ACTIONSTGY_L', 'T_DCM_ACTIONSTGY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DCM_ACST_FID_L') CREATE INDEX IDX_DCM_ACST_FID_L ON T_DCM_ACTIONSTGY_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_DCM_ACTIONSTGYMSGENTRY', 'T_DCM_ACTIONSTGYMSGENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DCM_ACSMENTRY_FID') CREATE INDEX IDX_DCM_ACSMENTRY_FID ON T_DCM_ACTIONSTGYMSGENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_DCM_COLLPOSITION_L', 'T_DCM_COLLPOSITION_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DCM_COP_FID_L') CREATE INDEX IDX_DCM_COP_FID_L ON T_DCM_COLLPOSITION_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_DCM_COLLTEMPLATE', 'T_DCM_COLLTEMPLATE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DCM_COLLTEM_FNUMBER') CREATE INDEX IDX_DCM_COLLTEM_FNUMBER ON T_DCM_COLLTEMPLATE ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_DCM_COLLTEMPLATE_L', 'T_DCM_COLLTEMPLATE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DCM_COLLTEMPLATE_FID_L') CREATE INDEX IDX_DCM_COLLTEMPLATE_FID_L ON T_DCM_COLLTEMPLATE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_DCM_COLLUSER', 'T_DCM_COLLUSER', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DCM_COLLUSER_FNUMBER') CREATE INDEX IDX_DCM_COLLUSER_FNUMBER ON T_DCM_COLLUSER ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_DCM_COLLUSER_L', 'T_DCM_COLLUSER_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DCM_COUS_FID_L') CREATE INDEX IDX_DCM_COUS_FID_L ON T_DCM_COLLUSER_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_DCM_OVERDUEREASONGROUP_L', 'T_DCM_OVERDUEREASONGROUP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DCM_ODRG_FID_L') CREATE INDEX IDX_DCM_ODRG_FID_L ON T_DCM_OVERDUEREASONGROUP_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_DCM_RECORDSTGYENTRY', 'T_DCM_RECORDSTGYENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DCM_RESTENTRY_FID') CREATE INDEX IDX_DCM_RESTENTRY_FID ON T_DCM_RECORDSTGYENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_DCM_RECORDSTRATEGY_L', 'T_DCM_RECORDSTRATEGY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DCM_REST_FIN_L') CREATE INDEX IDX_DCM_REST_FIN_L ON T_DCM_RECORDSTRATEGY_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_DCM_COLLPOSITION', 'T_DCM_COLLPOSITION', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DCM_COLLPOSITION_FNUMBER') CREATE INDEX IDX_DCM_COLLPOSITION_FNUMBER ON T_DCM_COLLPOSITION ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_DCM_COLLRECORDSRCENTRY', 'T_DCM_COLLRECORDSRCENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DCM_CORESRCENTRY_FID') CREATE INDEX IDX_DCM_CORESRCENTRY_FID ON T_DCM_COLLRECORDSRCENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_DCM_OVERDUEREASONGROUP', 'T_DCM_OVERDUEREASONGROUP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DCM_OVERDUEREASONGROUP') CREATE INDEX IDX_DCM_OVERDUEREASONGROUP ON T_DCM_OVERDUEREASONGROUP ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_DCM_RECORDSTRATEGY', 'T_DCM_RECORDSTRATEGY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DCM_RECORDSTRATEGY_FNUMBER') CREATE INDEX IDX_DCM_RECORDSTRATEGY_FNUMBER ON T_DCM_RECORDSTRATEGY ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_DCM_COLLACTIONENTRY', 'T_DCM_COLLACTIONENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DCM_COACENRTY_FID') CREATE INDEX IDX_DCM_COACENRTY_FID ON T_DCM_COLLACTIONENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_DCM_COLLRECORD', 'T_DCM_COLLRECORD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DCM_COLLRECORD_FBILLNO') CREATE INDEX IDX_DCM_COLLRECORD_FBILLNO ON T_DCM_COLLRECORD ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_DCM_ACTIONBACKATTACH', 'T_DCM_ACTIONBACKATTACH', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DCM_BACKATTACH_FENTRYID') CREATE INDEX IDX_DCM_BACKATTACH_FENTRYID ON T_DCM_ACTIONBACKATTACH ( FENTRYID );


 EXEC P_ALTERPK 'PK_T_DCM_COLLACTIONBACKENTRY', 'T_DCM_COLLACTIONBACKENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DCM_BACKENTRY_FID') CREATE INDEX IDX_DCM_BACKENTRY_FID ON T_DCM_COLLACTIONBACKENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_DCM_COLLMETHOD', 'T_DCM_COLLMETHOD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDEX_DCM_COLLMETHOD_FNUMBER') CREATE INDEX IDEX_DCM_COLLMETHOD_FNUMBER ON T_DCM_COLLMETHOD ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_DCM_ACTIONSTGYACTENTRY', 'T_DCM_ACTIONSTGYACTENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DCM_ACSAENTRY_FID') CREATE INDEX IDX_DCM_ACSAENTRY_FID ON T_DCM_ACTIONSTGYACTENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_DCM_ACTIONSTGY', 'T_DCM_ACTIONSTGY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DCM_ACTIONSTGY_FNUMBER') CREATE INDEX IDX_DCM_ACTIONSTGY_FNUMBER ON T_DCM_ACTIONSTGY ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_DCM_COLLRECORDACTENTRY', 'T_DCM_COLLRECORDACTENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DCM_COREACENTRY_FID') CREATE INDEX IDX_DCM_COREACENTRY_FID ON T_DCM_COLLRECORDACTENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_DCM_COLLACTION', 'T_DCM_COLLACTION', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DCM_COLLACTION_FBIINO') CREATE INDEX IDX_DCM_COLLACTION_FBIINO ON T_DCM_COLLACTION ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_DCM_OUTERCONTACT', 'T_DCM_OUTERCONTACT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DCM_OUTERCONTACT_ORG') CREATE INDEX IDX_DCM_OUTERCONTACT_ORG ON T_DCM_OUTERCONTACT ( FUSEORGID );


 EXEC P_ALTERPK 'PK_T_DCM_OUTERCONTACT_L', 'T_DCM_OUTERCONTACT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DCM_OUTERCONTACT_FID_L') CREATE INDEX IDX_DCM_OUTERCONTACT_FID_L ON T_DCM_OUTERCONTACT_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_DCM_COLLACTIONGUEST', 'T_DCM_COLLACTIONGUEST', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DCM_COLLACTIONGUEST_FID') CREATE INDEX IDX_DCM_COLLACTIONGUEST_FID ON T_DCM_COLLACTIONGUEST ( FID );


 EXEC P_ALTERPK 'PK_T_DCM_COLLACTIONINNER', 'T_DCM_COLLACTIONINNER', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DCM_COLLACTIONINNER_FID') CREATE INDEX IDX_DCM_COLLACTIONINNER_FID ON T_DCM_COLLACTIONINNER ( FID );


 EXEC P_ALTERPK 'PK_T_DCM_COLLRECORDGUEST', 'T_DCM_COLLRECORDGUEST', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DCM_COLLRECORDGUEST_FID') CREATE INDEX IDX_DCM_COLLRECORDGUEST_FID ON T_DCM_COLLRECORDGUEST ( FID );


 EXEC P_ALTERPK 'PK_T_DCM_COLLRECORDINNER', 'T_DCM_COLLRECORDINNER', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DCM_COLLRECORDINNER_FID') CREATE INDEX IDX_DCM_COLLRECORDINNER_FID ON T_DCM_COLLRECORDINNER ( FID );


 EXEC P_ALTERPK 'PK_T_DCM_COLLACTIONENTRYUSER', 'T_DCM_COLLACTIONENTRYUSER', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DCM_ACTIONUSER_FENTRYID') CREATE INDEX IDX_DCM_ACTIONUSER_FENTRYID ON T_DCM_COLLACTIONENTRYUSER ( FENTRYID );


 EXEC P_ALTERPK 'PK_T_DCM_RECORDACTENTRYGUEST', 'T_DCM_RECORDACTENTRYGUEST', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DCM_ACTGUEST_FENTRYID') CREATE INDEX IDX_DCM_ACTGUEST_FENTRYID ON T_DCM_RECORDACTENTRYGUEST ( FENTRYID );


 EXEC P_ALTERPK 'PK_T_DCM_RECORDACTENTRYINNER', 'T_DCM_RECORDACTENTRYINNER', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DCM_ACTINNER_FENTRYID') CREATE INDEX IDX_DCM_ACTINNER_FENTRYID ON T_DCM_RECORDACTENTRYINNER ( FENTRYID );


 EXEC P_ALTERPK 'PK_T_DCM_BEANDEFINTION', 'T_DCM_BEANDEFINTION', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DCM_BEANDEFINTION_NAME') CREATE INDEX IDX_DCM_BEANDEFINTION_NAME ON T_DCM_BEANDEFINTION ( FBEANNAME );



/**End D:\PDM_UPGRADE\PDM1\DCM_constraint.sql **/
