﻿/**Begin D:\PDM_UPGRADE\PDM1\DCM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DCM_COLLMETHOD_L') 
 CREATE TABLE T_DCM_COLLMETHOD_L (
FPKID VARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DCM_ACTIONSTGY_L') 
 CREATE TABLE T_DCM_ACTIONSTGY_L (
FPKID VARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DCM_ACTIONSTGYMSGENTRY') 
 CREATE TABLE T_DCM_ACTIONSTGYMSGENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FINNERPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FREMINDMETHODID BIGINT DEFAULT 0 NOT NULL,
FCOLLECTIONTPLID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DCM_COLLPOSITION_L') 
 CREATE TABLE T_DCM_COLLPOSITION_L (
FPKID VARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DCM_COLLTEMPLATE') 
 CREATE TABLE T_DCM_COLLTEMPLATE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FBILLENTITYID VARCHAR(50) DEFAULT ' ' NOT NULL,
FTPLDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTPLCONTENT VARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DCM_COLLTEMPLATE_L') 
 CREATE TABLE T_DCM_COLLTEMPLATE_L (
FPKID VARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DCM_COLLUSER') 
 CREATE TABLE T_DCM_COLLUSER (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(50) DEFAULT ' ' NOT NULL,
FPERCHOSETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FSPECPERSONID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DCM_COLLUSER_L') 
 CREATE TABLE T_DCM_COLLUSER_L (
FPKID VARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DCM_OVERDUEREASONGROUP_L') 
 CREATE TABLE T_DCM_OVERDUEREASONGROUP_L (
FPKID VARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DCM_RECORDSTGYENTRY') 
 CREATE TABLE T_DCM_RECORDSTGYENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPOLICY VARCHAR(50) DEFAULT ' ' NOT NULL,
FFIELDNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FFIELDVALUE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTARGERFIELD VARCHAR(50) DEFAULT ' ' NOT NULL,
FRULEID BIGINT DEFAULT 0 NOT NULL,
FRULENAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DCM_RECORDSTRATEGY_L') 
 CREATE TABLE T_DCM_RECORDSTRATEGY_L (
FPKID VARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DCM_COLLPOSITION') 
 CREATE TABLE T_DCM_COLLPOSITION (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FPOSITIONTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FISPRESET CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DCM_COLLRECORDSRCENTRY') 
 CREATE TABLE T_DCM_COLLRECORDSRCENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSRCBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSRCDUEDATE DATETIME,
FSRCOVERAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSRCAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FSRCENTRYID BIGINT DEFAULT 0 NOT NULL,
FBILLENTITYID VARCHAR(50) DEFAULT ' ' NOT NULL,
FBOTPRULEID BIGINT DEFAULT 0 NOT NULL,
FRECORDSTRATEGYID BIGINT DEFAULT 0 NOT NULL,
FSRCENTRYENTITY VARCHAR(50) DEFAULT ' ' NOT NULL,
FISCLOSE CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DCM_OVERDUEREASONGROUP') 
 CREATE TABLE T_DCM_OVERDUEREASONGROUP (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DCM_RECORDSTRATEGY') 
 CREATE TABLE T_DCM_RECORDSTRATEGY (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLENTITYID VARCHAR(50) DEFAULT ' ' NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FMOREFILERDESC VARCHAR(255) DEFAULT ' ' NOT NULL,
FNOTE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FAMTDOWNLIMIT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMTUPLIMIT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDAYSDOWNLIMIT BIGINT DEFAULT 0 NOT NULL,
FDAYSUPLIMIT BIGINT DEFAULT 0 NOT NULL,
FAMTFIELD VARCHAR(50) DEFAULT ' ' NOT NULL,
FDATEFIELD VARCHAR(50) DEFAULT ' ' NOT NULL,
FMOREFILERVAL VARCHAR(255) DEFAULT ' ' NOT NULL,
FMOREFILERVAL_TAG NCLOB,
FCLOSERECORDFILTER VARCHAR(255) DEFAULT ' ' NOT NULL,
FCLOSERECORDFILTERVAL VARCHAR(255) DEFAULT ' ' NOT NULL,
FCLOSERECORDFILTERVAL_TAG NCLOB,
FRULEID VARCHAR(50) DEFAULT ' ' NOT NULL,
FWRITEBACKFIELD VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DCM_COLLACTIONENTRY') 
 CREATE TABLE T_DCM_COLLACTIONENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FPHONE VARCHAR(255) DEFAULT ' ' NOT NULL,
FEMAIL VARCHAR(255) DEFAULT ' ' NOT NULL,
FUSERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DCM_COLLRECORD') 
 CREATE TABLE T_DCM_COLLRECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FASSTACTTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FASSTACTID BIGINT DEFAULT 0 NOT NULL,
FCUSTOMERGROUP VARCHAR(50) DEFAULT ' ' NOT NULL,
FOVERDUEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FLASTESTDATE DATETIME,
FOVERDUEREASONID BIGINT DEFAULT 0 NOT NULL,
FOVERDUEREASONMSG VARCHAR(50) DEFAULT ' ' NOT NULL,
FCOLLECTIOSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FINNERPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FGUESTCHARGEID BIGINT DEFAULT 0 NOT NULL,
FGUESTPHONE VARCHAR(255) DEFAULT ' ' NOT NULL,
FGUESTEMAIL VARCHAR(255) DEFAULT ' ' NOT NULL,
FREMARK VARCHAR(255) DEFAULT ' ' NOT NULL,
FREMARK_TAG VARCHAR(2000) DEFAULT ' ' NOT NULL,
FEARLISTDATE DATETIME,
FINNERCHARGEID BIGINT DEFAULT 0 NOT NULL,
FGUESTUSERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DCM_ACTIONBACKATTACH') 
 CREATE TABLE T_DCM_ACTIONBACKATTACH (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DCM_COLLACTIONBACKENTRY') 
 CREATE TABLE T_DCM_COLLACTIONBACKENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FOVERDUEREASON BIGINT DEFAULT 0 NOT NULL,
FRECOVERDATE DATETIME,
FRECOVERAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOVERDUEREASONMSG VARCHAR(255) DEFAULT ' ' NOT NULL,
FRECOVERDESC VARCHAR(255) DEFAULT ' ' NOT NULL,
FBACKDATE DATETIME,
FBACKUSER BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DCM_COLLMETHOD') 
 CREATE TABLE T_DCM_COLLMETHOD (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCOLLECTIONMETHOD VARCHAR(50) DEFAULT ' ' NOT NULL,
FISPRESET CHAR(1) DEFAULT '0' NOT NULL,
FCOLLECTIONWAY VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DCM_ACTIONSTGYACTENTRY') 
 CREATE TABLE T_DCM_ACTIONSTGYACTENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FOUTERPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FCOLLECTIOINMETHODID BIGINT DEFAULT 0 NOT NULL,
FCOLLECTIONTPLID BIGINT DEFAULT 0 NOT NULL,
FINNERPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FCOLLPOSITIONJOIN VARCHAR(255) DEFAULT ' ' NOT NULL,
FISAUTOEXECUTE CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DCM_ACTIONSTGY') 
 CREATE TABLE T_DCM_ACTIONSTGY (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(50) DEFAULT ' ' NOT NULL,
FMOREFILTERJSON VARCHAR(255) DEFAULT ' ' NOT NULL,
FMOREFILTERJSON_TAG NCLOB,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FBILLENTITYID VARCHAR(50) DEFAULT ' ' NOT NULL,
FMOREFILERDESC VARCHAR(255) DEFAULT ' ' NOT NULL,
FAMTDOWNLIMIT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMTUPLIMIT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDAYSDOWNLIMIT BIGINT DEFAULT 0 NOT NULL,
FDAYSUPLIMIT BIGINT DEFAULT 0 NOT NULL,
FAMTFIELD VARCHAR(50) DEFAULT ' ' NOT NULL,
FDATEFIELD VARCHAR(50) DEFAULT ' ' NOT NULL,
FWRITEBACKFIELD VARCHAR(50) DEFAULT ' ' NOT NULL,
FEXECUTECYCLE BIGINT DEFAULT 0 NOT NULL,
FLASTEXETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DCM_COLLRECORDACTENTRY') 
 CREATE TABLE T_DCM_COLLRECORDACTENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FACTIONBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCOLLECTIONDATE DATETIME,
FCOLLECTIONMETHODID BIGINT DEFAULT 0 NOT NULL,
FCOLLECTIONBACKAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOVERDUEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FINNERPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FGUESTPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FDIRECTIONS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FACTIONTBILLID BIGINT DEFAULT 0 NOT NULL,
FSTRATEGYID BIGINT DEFAULT 0 NOT NULL,
FACTIONCREATEDATE DATETIME,
FINNERUSERID BIGINT DEFAULT 0 NOT NULL,
FGUESTUSERID BIGINT DEFAULT 0 NOT NULL,
FISPUSH CHAR(1) DEFAULT '0' NOT NULL,
FSTRATEGYENTRYID VARCHAR(50) DEFAULT ' ' NOT NULL,
FGUESTPHONE VARCHAR(255) DEFAULT ' ' NOT NULL,
FGUESTEMAIL VARCHAR(255) DEFAULT ' ' NOT NULL,
FOVERDUEREASON BIGINT DEFAULT 0 NOT NULL,
FOVERDUEREASONMSG VARCHAR(255) DEFAULT ' ' NOT NULL,
FEARLISTDATE DATETIME,
FLASTESTDATE DATETIME,
FACTIONSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCOLLECTIONTPLID BIGINT DEFAULT 0 NOT NULL,
FISAUTOEXECUTE CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DCM_COLLACTION') 
 CREATE TABLE T_DCM_COLLACTION (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FOVERDUEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEARLISTDATE DATETIME,
FLASTESTDATE DATETIME,
FASSTACTTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FASSTACTID BIGINT DEFAULT 0 NOT NULL,
FCUSTOMERGROUP VARCHAR(50) DEFAULT ' ' NOT NULL,
FOVERDUEREASONID BIGINT DEFAULT 0 NOT NULL,
FOVERDUEREASONMSG VARCHAR(50) DEFAULT ' ' NOT NULL,
FINNERPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FGUESTCHARGEID BIGINT DEFAULT 0 NOT NULL,
FGUESTPHONE VARCHAR(255) DEFAULT ' ' NOT NULL,
FGUESTEMAIL VARCHAR(255) DEFAULT ' ' NOT NULL,
FRECOVERDATE DATETIME,
FRECOVERAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECOVERDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FINNERUSERPHONE VARCHAR(255) DEFAULT ' ' NOT NULL,
FINNERUSEREMAIL VARCHAR(255) DEFAULT ' ' NOT NULL,
FCOLLECTIONMETHODID BIGINT DEFAULT 0 NOT NULL,
FSTRATEGYID BIGINT DEFAULT 0 NOT NULL,
FSOURCEBILLID BIGINT DEFAULT 0 NOT NULL,
FGUESTUSERID BIGINT DEFAULT 0 NOT NULL,
FINNERUSERID BIGINT DEFAULT 0 NOT NULL,
FSOURCEENTRYID BIGINT DEFAULT 0 NOT NULL,
FSTRATEGYENTRYID VARCHAR(50) DEFAULT ' ' NOT NULL,
FISSENDMESSAGE CHAR(1) DEFAULT '0' NOT NULL,
FISAUTOPUSH CHAR(1) DEFAULT '0' NOT NULL,
ISAUTOPUSH CHAR(1) DEFAULT '0' NOT NULL,
FCOLLECTIONTPLID BIGINT DEFAULT 0 NOT NULL,
FISAUTOEXECUTE CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DCM_OUTERCONTACT') 
 CREATE TABLE T_DCM_OUTERCONTACT (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FCUSTOMERID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FPHONE VARCHAR(255) DEFAULT ' ' NOT NULL,
FLANDLINE VARCHAR(50) DEFAULT ' ' NOT NULL,
FEMAIL VARCHAR(255) DEFAULT ' ' NOT NULL,
FFAX VARCHAR(40) DEFAULT ' ' NOT NULL,
FADDRESS VARCHAR(255) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT '0' NOT NULL,
FREMARK VARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FBITINDEX BIGINT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX BIGINT DEFAULT 0 NOT NULL,
FUSEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DCM_OUTERCONTACT_L') 
 CREATE TABLE T_DCM_OUTERCONTACT_L (
FPKID VARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DCM_COLLACTIONGUEST') 
 CREATE TABLE T_DCM_COLLACTIONGUEST (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DCM_COLLACTIONINNER') 
 CREATE TABLE T_DCM_COLLACTIONINNER (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DCM_COLLRECORDGUEST') 
 CREATE TABLE T_DCM_COLLRECORDGUEST (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DCM_COLLRECORDINNER') 
 CREATE TABLE T_DCM_COLLRECORDINNER (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DCM_COLLACTIONENTRYUSER') 
 CREATE TABLE T_DCM_COLLACTIONENTRYUSER (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DCM_RECORDACTENTRYGUEST') 
 CREATE TABLE T_DCM_RECORDACTENTRYGUEST (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DCM_RECORDACTENTRYINNER') 
 CREATE TABLE T_DCM_RECORDACTENTRYINNER (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DCM_BEANDEFINTION') 
 CREATE TABLE T_DCM_BEANDEFINTION (
FID BIGINT DEFAULT 0 NOT NULL,
FBEANNAME VARCHAR(255) DEFAULT ' ' NOT NULL,
FBEANCLASS VARCHAR(255) DEFAULT ' ' NOT NULL,
FBEANTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FINSTANCECLASS VARCHAR(255) DEFAULT ' ' NOT NULL,
FSCOPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT '0' NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\DCM_table.sql **/
